## skewer 0.2.2

=== Makefile ===
CXX=g++
DEBUG?=0
CXXFLAGS?=-c
LDFLAGS=-pthread
LDLIBS=-lrt
ifneq ($(OS), Windows_NT)
	UNAME_S := $(shell uname -s)
	ifeq ($(UNAME_S), Darwin)
		LDFLAGS=-lpthread
		LDLIBS=
	endif
endif
SRC=src
SOURCES=$(SRC)/main.cpp $(SRC)/parameter.cpp $(SRC)/matrix.cpp $(SRC)/fastq.cpp
OBJECTS=$(SOURCES:.cpp=.o)
EXECUTABLE=skewer

ifeq ($(DEBUG), 1)
	CXXFLAGS += -O0 -g -Wall -D_DEBUG
else
	CXXFLAGS += -O2
endif

.PHONY: all debug clean

all:$(EXECUTABLE)

debug:
	$(MAKE) $(MAKEFILE) DEBUG=1

$(EXECUTABLE):$(OBJECTS)
	$(CXX) $(LDFLAGS) $(OBJECTS) -o $@ $(LDLIBS)

.cpp.o:
	$(CXX) $(CXXFLAGS) $< -o $@

$(SRC)/main.o: $(SRC)/parameter.h $(SRC)/matrix.h $(SRC)/fastq.h $(SRC)/common.h
$(SRC)/parameter.o: $(SRC)/parameter.h $(SRC)/fastq.h $(SRC)/common.h
$(SRC)/matrix.o: $(SRC)/matrix.h $(SRC)/common.h
$(SRC)/fastq.o: $(SRC)/fastq.h $(SRC)/common.h

# Clean
clean:
	rm -rf $(OBJECTS) $(EXECUTABLE)

# Install
install:
	mv -f $(EXECUTABLE) /usr/local/bin

=== debian/changelog ===
skewer (0.2.2-6) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS with gcc-11 (Closes: #984334)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 31 Oct 2021 20:10:47 +0530

skewer (0.2.2-5) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.0 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Andreas Tille <tille@debian.org>  Thu, 07 Oct 2021 12:01:08 +0200

skewer (0.2.2-4) unstable; urgency=medium

  * Team Upload.
  * d/tests/run-unit-test: output-trimmed.fastq is empty
    on amd64 as well, and the autopkgtests check conditions made
    it bypass the same, hence modify autopkgtests and
    also check that logs are not empty

 -- Nilesh Patra <nilesh@debian.org>  Fri, 27 Aug 2021 19:08:45 +0000

skewer (0.2.2-3) unstable; urgency=medium

  [ Shruti Sridhar ]
  * Team Upload.
  * Add test data
  * Add get-test-data script
  * Add autopkgtest
  * Install README as docs

  [ Andreas Tille ]
  * Add DEP3 fields

  [ Nilesh Patra ]
  * Bump debhelper compatibility level to 13
  * Bump Standards-Version to 4.5.1 (no changes needed)

 -- Shruti Sridhar <shruti.sridhar99@gmail.com>  Mon, 16 Aug 2021 16:55:29 +0530

skewer (0.2.2-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 18 Apr 2020 08:31:23 +0200

skewer (0.2.2-1) unstable; urgency=medium

  * Initial release (Closes: #944385)

 -- Steffen Moeller <moeller@debian.org>  Fri, 08 Nov 2019 23:23:55 +0100

=== debian/control ===
Source: skewer
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.0
Homepage: https://github.com/relipmoc/skewer
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/med-team/skewer
Vcs-Git: https://salsa.debian.org/med-team/skewer.git

Package: skewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: post-processing of high-throughput DNA sequence reads
 skewer implements the bit-masked k-difference matching algorithm
 dedicated to the task of adapter trimming and it is specially designed
 for processing next-generation sequencing (NGS) paired-end sequences.
 .
 Features
 .
  * Detection and removal of adapter sequences
  * Insertion and deletion allowed in pattern matching
  * Targeted at Single End, Paired End (PE), and Long Mate Pair (LMP) reads
  * Demultiplexing of barcoded sequencing runs
  * Multi-threading support
  * Trimming based on phred quality scores
  * IUPAC characters for barcodes and adapters
  * Compressed input and output support

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic


%:
	dh $@

override_dh_auto_install:

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%skewer-$1.tar.gz%" \
   https://github.com/relipmoc/skewer/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
